Fibre Channel (SAN)

Reply
New Contributor
Posts: 4
Registered: ‎06-25-2013

Java plugin needed message when connecting to switch

Hi there,

 

Everytime I try login to a switch I get the following message both in Chrome and IE and it show the download page for Java:

 

The version of Java plugin needed to run the application is not installed. The page from where the plugin can be downloaded will be opened in a new window. If not, please click here: Download correct Java version.

 

This is (for now) only when connecting to Brocade switches. I tried connecting to switches with 6.4 and 7.1, but I makes no difference.

 

My environment:

  • Java 7 U 51, tried Java 7 U 25 and I get the same message
  • Windows 8.1, tried Windows 7 too
  • Chrome 32, Internet Explorer 11 (on Win8), tried IE 10 on Windows 7 too
  • The detection on http://java.com/en/download/installed.jsp works like a charm in both browsers !!! So I suspect it some strange problem in Web Tools.

What I already tried:

  • Set Security to Medium in the Java Control Panel
  • Changed 'jdk.certpath.disabledAlgorithms=MD2, RSA keySize < 1024' to 'jdk.certpath.disabledAlgorithms=MD2, RSA keySize < 256' in the java.security file

I can't seem to get passed this message, anyone got suggestions or maybe a solution?

 

Regards,

Martien

New Contributor
Posts: 4
Registered: ‎07-19-2012

Re: Java plugin needed message when connecting to switch

[ Edited ]

I have the same issue has mentioned above. The Plugin error only comes from Chrome but IE 10 and 11 gives me the following error when trying to connect to both my FC Switch:

 

Failed to validate certificate. The application will not be executed.

Have tried to modify network settings to "Direct Connection",adding the IP address to the exception list. Disabled the "Perform certificate revocation checks-on" and reduced security to medium aswell.

EDIT: Windows 7 x64 - Java 7 ver. 51
Any ideas?

Thank you,
Gabriel

New Contributor
Posts: 4
Registered: ‎06-25-2013

Re: Java plugin needed message when connecting to switch

ALL my browsers have the same issue on Win 7 and 8.1 !!

 

The certificate error is annoying but there's a workaround for that, just search the board here :). You have to edit you java.security file

 

In addition:

Tried Ubuntu 12.04.4 LTS, installed the JRE 7 U51.

Got the certificate error, solved that

Got the Missing required Permissions manifest attribute in main jar error, solved that by editing the exceptions list in the Java Control panel.

 

So Java 7 U51 on Ubuntu works, with the already known workarounds. Why is Windows 7/8.1 with IE/Chrome a problem?

Occasional Visitor
Posts: 1
Registered: ‎01-15-2013

Re: Java plugin needed message when connecting to switch

[ Edited ]

Remove all java version and install the version 6 update 25. Done :)

 

http://www.oracle.com/technetwork/java/javase/downloads/jre-6u25-download-346243.html

 

Occasional Contributor
Posts: 8
Registered: ‎07-11-2012

Re: Java plugin needed message when connecting to switch

[ Edited ]

We are having the same problem with Java 7u55 trying to access our Brocades.

I was able to get it working with a combination of steps.

 

1. Install Java 7u55 32bit (even if on a x64 box)

 

2. Edit the Java.Security file and comment out (put a # sign in front) of

jdk.certpath.disabledAlgorithms=MD2, RSA keySize < 1024

use notepad++ or any other text editor that allows proper formatting display

 

3. Do this for both java.security files if you have both 32 and 64 bit java installed. The file(s) are found at:

C:\Program Files (x86) \Java\jre7\lib\security

C:\Program Files\Java\jre7\lib\security

 

4. Open up control panel and lower the java security bar to medium

5. Add the URLS of your brocades into the Exception Site List (make sure this is identical to what you type into your browser or have bookmarked)

 

That should do it. Works for us on Windows 7 and Windows Server 2008 R2 boxes.

Doesn't seem to work with firefox so you MUST use IE. We tried IE9 and IE 11 and they both worked.

 

Also after the inital webtools screen pops up, it goes away, be patient after about a minute you should get the login box to pop up. Be patient!

 

Also it appears that the Java Exception list is user profile specific, because another admin logged into the server and he went to control panel - java - security tab and he didn't have the exceptions listed that I had already put in under my windows user profile.

 

Hope this helps others.

New Member
Posts: 1
Registered: ‎08-21-2014

Re: Java plugin needed message when connecting to switch

Just for those that have tried all this and it still didn't work. I had to add the switch I was attempting to access to the Compatiability view List....

Occasional Contributor
Posts: 8
Registered: ‎11-03-2014

Re: Java plugin needed message when connecting to switch

The above two posts worked for me. I had to add to the IE 11 compatibility view list as well in order to get it to work. Thanks!

Occasional Visitor
Posts: 2
Registered: ‎03-15-2016

Re: Java plugin needed message when connecting to switch

[ Edited ]

Open Internet Explorer
Enter http://{IP Address of SAN Switch} 
You should see the URL change to /EZManager.html
You should normally see the login screen after you see this screen… (Versions of Java may vary)image
But, you will unfortunately not see this if you are using Windows Vista, Windows 7, or Server 2008/R2 as your operating system. Instead, you will see Internet Explorer shutdown & Java. Yes, that’s it. There is no error indicating what the heck is going on. You try it again, same result. You are stumped beyond belief and your searches using the decision engine renders you helpless.

 

*Moderator removed bad URL*

Frequent Contributor
Posts: 130
Registered: ‎02-05-2014

Re: Java plugin needed message when connecting to switch

Maybe check here as well:

 

http://www.erwinvanlonden.net/2013/12/brocade-webtools-and-java/

 

Is one of the more popular posts.

Kind regards,
Erwin van Londen
Brocade Distinguished Architect
http://www.erwinvanlonden.net The Fibre Channel blog


New Member
Posts: 1
Registered: ‎02-22-2017

Re: Java plugin needed message when connecting to switch

Greetings. 

 

I helped one of my sysadmins get around this issue.  If you use the IE developer tools you can see after the java check if forwards you to a second URL.  http://%Brocade IP%/EZSetup_installed.html.  I used this url direclty and it ran fine with the latest java installed at java 8 update 21.  May have to do the same thing for the management page but havn't gotten that far yet.

 

Good luck

Paul

Join the Community

Get quick and easy access to valuable resource designed to help you manage your Brocade Network.

Download FREE NVMe eBook